# MariaDB settings
MYSQL_ROOT_PASSWORD=password_db_root
MYSQL_DATABASE=nextcloud
MYSQL_USER=nextcloud
MYSQL_PASSWORD=password_db
MYSQL_INITDB_SKIP_TZINFO=1
MYSQL_HOST=nextcloud-db

# Redis
REDIS_HOST=nextcloud-redis
REDIS_HOST_PASSWORD=password_redis

# Nextcloud
NEXTCLOUD_ROOT=/home/compute/services/nextcloud
NEXTCLOUD_DATA_DIR=/srv/nextcloud/data
NEXTCLOUD_FQDN=your_nextcloud_sub_domain.domain.com
TRAEFIK_CONTAINER_IP=172.27.0.100 # This is the traefik container ip in the traefik_default network. I configured the traefik container with a static IP so this does not have to be changed anymore.
PHP_MEMORY_LIMIT=2048M
PHP_UPLOAD_LIMIT=8G

# Collabora
COLLABORA_FQDN=collabora.domain.com
COLLABORA_DOMAIN=nextcloud_sub_domain\.domain\.com # This is the domain which the collabora server is requests accepting from.
COLLABORA_USERNAME=username
COLLABORA_PASSWORD=password_collabora

# COTURN
COTURN_SECRET=password_coturn
# Traefik
DOMAIN=domain.com
